MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0006523ardourbugspublic2015-08-19 11:082017-08-02 16:02
ReporterEjis 
Assigned Tox42 
PrioritynormalSeveritymajorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version5.3 
Target VersionFixed in Version 
Summary0006523: (4.2) Serious problems with playlist names
DescriptionHello,

First, I had multiple crashes, and when I reopened my session, I found out that regions were erased, and started panicking. Then I looked at the playlists for these regions, and I saw 3 to 10 playlists with the same name. One of them had the regions I was looking for. As I don’t want to mess with the .ardour file too much, I decided, for each track, to give them a unique name to help me recognize them if that happens again. So each track has a main playlist named "lol" (because originality). That’s when it becomes really funny. When I reloaded the session, all the tracks had the same regions! Ardour doesn’t seem to care about IDs, so it thought all the tracks shared the same playlist!

So, the problems are:
- Ardour can randomly create empty playlists on some tracks, with all the same names, and randomly picks one, so you have to look for the good playlist that actually contains something.
- If each track has a playlist with the same name than another track’s playlist, Ardour will think they share the same one, and you’ll get the same regions.

Maybe Ardour should prevent the user from giving the same names to different playlists, and, more importantly, looking for IDs rather than names!
TagsNo tags attached.
Attached Filespatch file icon fix_6523.patch [^] (4,962 bytes) 2016-01-11 19:56 [Show Content]

- Relationships
duplicate of 0005681resolvedx42 POTENTIAL DATA LOSS due to duplicate playlist reference after renaming tracks 
related to 0007438feedbackx42 Session gots corrupted after some manipulations 

-  Notes
(0017774)
elgoun (reporter)
2016-01-11 20:06
edited on: 2016-01-11 20:44

I can reproduce this issue.

Here is a patch that makes ardour links diskstream to playlist by their ID instead of their name in session file.

It is now possible to have playlists with the same name in different tracks.

(0017775)
Ejis (reporter)
2016-01-12 02:55

Great! Thank you! Hope this will end in the official build soon.
(0017791)
timbyr (developer)
2016-01-15 04:18

The patch looks good and it seems to fix the issue after minimal testing.
(0017793)
x42 (administrator)
2016-01-15 05:45

Actually I think this patch is more of a stopgap than solution.

We have the same issue with all sources e.g embed two external audio-files with the same name from different folders.
(0017808)
mc888 (reporter)
2016-01-17 19:44

This is probably related - recently I did a save as template, and started a new session from template. Tracks in the new session had playlist information from the original session. Not good when you want to record a different song!
(0017864)
timbyr (developer)
2016-02-01 19:39

x42: Why do you consider the patch a stopgap solution?

There may be a similar issue with external audio files but I don't think it is directly related to this issue.
(0018687)
timbyr (developer)
2016-09-19 02:59

This is still an issue in 5.3. The patch still applies and should fix the issue.

Referring to playlists by ID rather than by name still seems like the correct approach to me and not a stopgap.
(0018811)
x42 (administrator)
2016-10-13 14:27

Indeed the patch looks fine.
I got confused by just reading the description. lol.
(0018812)
x42 (administrator)
2016-10-13 14:28

PS. still: Allowing duplicate names for playlists seems wrong. The name should be unique, and hence lookup by name would work.
(0018813)
timbyr (developer)
2016-10-13 18:08

I'm not sure I agree that allowing duplicate playlist names is wrong, but if Ardour is going to enforce no duplicate track names then I guess it follows that should also not allow duplicate playlist names.

But either way this patch fixes a current issue and I think playlists should be looked up by ID rather than by name as the ID is constant where as the name can change (which might be a source of problems?)
(0018814)
x42 (administrator)
2016-10-13 18:24

Since the track-name is used as port-name and jack-ports must be unique, there can't be duplicate track-names.

Anyway, the issue is more practical: Playlists are displayed in the drop-down menu by name only. It's really confusing if there are 2 or more listed with the same name.
(0019080)
x42 (administrator)
2016-11-28 03:19

Since Ardour 5.4-470-ge9eea8d it is no longer possible to have two playlists with the same name.

- Issue History
Date Modified Username Field Change
2015-08-19 11:08 Ejis New Issue
2016-01-11 19:56 elgoun File Added: fix_6523.patch
2016-01-11 20:06 elgoun Note Added: 0017774
2016-01-11 20:06 elgoun Status new => confirmed
2016-01-11 20:44 elgoun Note Edited: 0017774 View Revisions
2016-01-12 02:55 Ejis Note Added: 0017775
2016-01-15 04:18 timbyr Note Added: 0017791
2016-01-15 05:45 x42 Note Added: 0017793
2016-01-17 19:44 mc888 Note Added: 0017808
2016-02-01 19:39 timbyr Note Added: 0017864
2016-09-19 02:59 timbyr Note Added: 0018687
2016-09-19 02:59 timbyr Product Version => 5.3
2016-10-13 14:27 x42 Note Added: 0018811
2016-10-13 14:28 x42 Note Added: 0018812
2016-10-13 18:08 timbyr Note Added: 0018813
2016-10-13 18:24 x42 Note Added: 0018814
2016-11-28 03:17 x42 Relationship added duplicate of 0005681
2016-11-28 03:19 x42 Note Added: 0019080
2016-11-28 03:19 x42 Status confirmed => resolved
2016-11-28 03:19 x42 Resolution open => fixed
2016-11-28 03:19 x42 Assigned To => x42
2017-08-02 16:02 x42 Relationship added related to 0007438


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker